# Module `blingbling.system`

launchers for reboot, shutdown, shutdown, logout or lock menus for your system.

## Functions

mainmenu (main_image, shutdown_image, reboot_image, logout_image, lock_image) | Main menu launcher.
shutdownmenu (button_image, accept_image, cancel_image) | Shutdown menu launcher.
lockmenu (button_image, accept_image, cancel_image) | Lock menu launcher.
rebootmenu (button_image, accept_image, cancel_image) | Reboot menu launcher.
logoutmenu (button_image, accept_image, cancel_image) | Logout menu launcher.

## Functions

mainmenu (main_image, shutdown_image, reboot_image, logout_image, lock_image)
  Main menu launcher. Create a button which will spawn a menu allowing the user to shutdown, reboot, logout and lock screen Only the first parameter is mandatory. The other values can be nil and specified in the theme.lua via the theme.blingbling table. See the superproperties module documentation.

  ### Parameters:

  - main_image the image that will be displayed with the shutdown option
  - shutdown_image the image that will be displayed with the shutdown option
  - reboot_image the image that will be displayed with the reboot option
  - logout_image the image that will be displayed with the logout option
  - lock_image the image that will be displayed with the lock option

  ### Usage:

      mymainmenu = system.mainmenu(main_image, shutdown_image, reboot_image, logout_image, lock_image)

shutdownmenu (button_image, accept_image, cancel_image)
  Shutdown menu launcher. Create a button with an accept/cancel menu for shutdown the system No mandatory parameter. All values can be nil and specified in the theme.lua via the theme.blingbling table. See the superproperties module documentation.

  ### Parameters:

  - button_image an image file that will be displayed in the wibox
  - accept_image an image file for the accept menu entry
  - cancel_image an image file for the cancel menu entry

  ### Usage:

      shutdown=blingbling.system.shutdownmenu(launcher_image, menu_dialog_image_ok, menu_.dialog_image_cancel)

lockmenu (button_image, accept_image, cancel_image)
  Lock menu launcher. Create a button with an accept/cancel menu for locking the system: No mandatory parameter. All values can be nil and specified in the theme.lua via the theme.blingbling table. See the superproperties module documentation.

  ### Parameters:

  - button_image an image file that will be displayed in the wibox
  - accept_image an image file for the accept menu entry
  - cancel_image an image file for the cancel menu entry

  ### Usage:

      shutdown=blingbling.system.lockmenu(launcher_image, menu_dialog_image_ok, menu_.dialog_image_cancel)

rebootmenu (button_image, accept_image, cancel_image)
  Reboot menu launcher. Create a button with an accept/cancel menu for reboot the system: No mandatory parameter. All values can be nil and specified in the theme.lua via the theme.blingbling table. See the superproperties module documentation.

  ### Parameters:

  - button_image an image file that will be displayed in the wibox
  - accept_image an image file for the accept menu entry
  - cancel_image an image file for the cancel menu entry

  ### Usage:

      reboot=blingbling.system.rebootmenu(launcher_image, menu_dialog_image_ok, menu_.dialog_image_cancel)

logoutmenu (button_image, accept_image, cancel_image)
  Logout menu launcher. Create a button with an accept/cancel menu for reboot the system: No mandatory parameter. All values can be nil and specified in the theme.lua via the theme.blingbling table. See the superproperties module documentation.

  ### Parameters:

  - button_image an image file that will be displayed in the wibox
  - accept_image an image file for the accept menu entry
  - cancel_image an image file for the cancel menu entry

  ### Usage:

      logout=blingbling.system.logouttmenu(launcher_image, menu_dialog_image_ok, menu_.dialog_image_cancel)

generated by LDoc 1.4.3 Last updated 2015-08-04 10:16:50